OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.BufferStorage

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBBufferStorage :: MonadIO m => m Bool
- gl_ARB_buffer_storage :: Bool
- gl_BUFFER_IMMUTABLE_STORAGE :: GLenum
- gl_BUFFER_STORAGE_FLAGS :: GLenum
- gl_CLIENT_MAPPED_BUFFER_BARRIER_BIT :: GLbitfield
- gl_CLIENT_STORAGE_BIT :: GLbitfield
- gl_DYNAMIC_STORAGE_BIT :: GLbitfield
- gl_MAP_COHERENT_BIT :: GLbitfield
- gl_MAP_PERSISTENT_BIT :: GLbitfield
- gl_MAP_READ_BIT :: GLbitfield
- gl_MAP_WRITE_BIT :: GLbitfield
- glBufferStorage :: MonadIO m => GLenum -> GLsizeiptr -> Ptr a -> GLbitfield -> m ()

# Extension Support

glGetARBBufferStorage :: MonadIO m => m Bool

Is the ARB_buffer_storage extension supported?

gl_ARB_buffer_storage :: Bool

Is the ARB_buffer_storage extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBBufferStorage` in those cases instead.

# Enums

gl_BUFFER_IMMUTABLE_STORAGE :: GLenum

gl_BUFFER_STORAGE_FLAGS :: GLenum

gl_CLIENT_MAPPED_BUFFER_BARRIER_BIT :: GLbitfield

gl_CLIENT_STORAGE_BIT :: GLbitfield

gl_DYNAMIC_STORAGE_BIT :: GLbitfield

gl_MAP_COHERENT_BIT :: GLbitfield

gl_MAP_PERSISTENT_BIT :: GLbitfield

gl_MAP_READ_BIT :: GLbitfield

gl_MAP_WRITE_BIT :: GLbitfield

# Functions

glBufferStorage

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizeiptr | `size`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> GLbitfield | `flags`.
-> m () |

Manual page for OpenGL 4.x.